Bug 3726 - Crash on Vista opening INBOX
Summary: Crash on Vista opening INBOX
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.14.1
Hardware: PC other
: P3 major
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2016-11-13 16:03 CET by Stephen Paul Weber
Modified: 2017-03-27 16:27 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Paul Weber 2016-11-13 16:03:49 CET
Setup works, but when trying to open INBOX for the first time (or, when trying to rebuild folder tree, either one) claws crashes.  Every time.  So I cannot actually read my mail at all.

This is using TLS with STARTTLS for IMAP against a Dreamhost IMAP server.

Claws works with these settings and this server on my Debian machine, but on Vista just crashes.
Comment 1 Andrej Kacian 2016-11-13 21:15:47 CET
Does the 32-bit version crash too? It is available for download on the same page. Just make sure you uninstall the existing version before installing this one.
Comment 2 Stephen Paul Weber 2016-11-13 22:07:29 CET
Sorry, should have mentioned that. This issue is in the 32bit version. The computer has a 32bit CPU so I could not try the 64bit version to see if it does the same.
Comment 3 Andrej Kacian 2016-11-13 22:24:54 CET
I see. Can you try previous version from http://claws-mail.org/download.php?file=win32/claws-mail-3.14.0-1.exe ?
Comment 4 microwiz 2017-01-28 12:20:35 CET
Oh good, I think I may be having a similar issue. I am trying to load the (very large) subfolders under my INBOX folder using IMAP, and at approximately the same point (~26000 headers downloaded out of 36000-40000) Claws Mail for Windows exits abruptly. It is successful for smaller folders (e.g. INBOX with 1400 headers). This is with both the 32-bit and 64-bit versions of Claws Mail 3.14.1-1.

I also tried version 3.14.0-1 and it does not crash this way. Stephen, trying this previous version may work for you too!

Please let me know if there's anything else you'd like me to try.
Comment 5 microwiz 2017-01-28 12:22:28 CET
Forgot to mention, I'm on Win10 Anniversary Edition, and I first tried the 64-bit version of 3.14.1-1 (which crashed), then uninstalled it and installed the 32-bit version of 3.14.1-1 (which crashed in exactly the same way), then uninstalled it and installed the version that Andrej suggested below, which seems to be working.

Thanks!
Comment 6 tschweikle 2017-03-22 11:07:20 CET
Same here. Claws-Mail 3.14.1-1 crashes as soon as it tries to rebuild indexes for my mailbox. 64- and 32-bit-versions behave the same.

The older version 3.14.0-1 seems to work.
Comment 7 Andrej Kacian 2017-03-22 12:57:40 CET
I suspect this might be the bug that was fixed earlier this week:
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=029174
Comment 8 Andrej Kacian 2017-03-27 16:27:04 CEST
Please reopen if this crash still happens on recently released version 3.15.0.